Subject: bug#25122: 24.5; function describe-variable hangs on large variables

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 07 Dec 2016 09:58:25 +0100

[email-masked] writes:

> merge 13439 25122
> quit
>
> Thierry Volpiatto <[email-masked]> writes:
>
>> Boruch Baum <[email-masked]> writes:
>>
>>> Subject: 24.5; function describe-variable hangs on large variables
>>>
>>> 1) When evaluating function describe-variable for variable
>>> package-archive-conteqnts, emacs hangs for minutes before I gave up.
>>
>> I have already reported this bug.
>> I use this to workaround it:
>
> I wonder if the suggestion in #13439 might also help?

I don't think it would be as fast as printing one by one each elements.
What is slow is printing the whole object.
See how bookmark file is saved, it was taking more than one minute for
my bookmarks before printing one by one, now it is instant or nearly.
  
-- 
Thierry